StreamKeyValUtil (Hadoop 0.20.1+169.88 API)
Date: 2010-05-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.streaming
Class StreamKeyValUtil

    java.lang.Object
      org.apache.hadoop.streaming.StreamKeyValUtil

    public class StreamKeyValUtil

extends Object

Constructor Summary
`StreamKeyValUtil()`

Method Summary
`static int` | `findTab(byte[] utf)` Find the first occured tab in a UTF-8 encoded string
`static int` | `findTab(byte[] utf, int start, int length)` Find the first occured tab in a UTF-8 encoded string
`static int` | `readLine(LineReader lineReader, Text out)` Read a utf8 encoded line from a data input stream.
`static void` | `splitKeyVal(byte[] utf, int start, int length, Text key, Text val, int splitPos)` split a UTF-8 byte array into key and value assuming that the delimilator is at splitpos.
`static void` | `splitKeyVal(byte[] utf, int start, int length, Text key, Text val, int splitPos, int separatorLength)` split a UTF-8 byte array into key and value assuming that the delimilator is at splitpos.
`static void` | `splitKeyVal(byte[] utf, Text key, Text val, int splitPos)` split a UTF-8 byte array into key and value assuming that the delimilator is at splitpos.
`static void` | `splitKeyVal(byte[] utf, Text key, Text val, int splitPos, int separatorLength)` split a UTF-8 byte array into key and value assuming that the delimilator is at splitpos.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamKeyValUtil

    public StreamKeyValUtil()

Method Detail

### findTab

    public static int findTab(byte[] utf,
                              int start,
                              int length)

  Find the first occured tab in a UTF-8 encoded string

  Parameters:
    `utf` - a byte array containing a UTF-8 encoded string
    `start` - starting offset
    `length` - no. of bytes
  Returns:
    position that first tab occures otherwise -1

### findTab

    public static int findTab(byte[] utf)

  Find the first occured tab in a UTF-8 encoded string

  Parameters:
    `utf` - a byte array containing a UTF-8 encoded string
  Returns:
    position that first tab occures otherwise -1

### splitKeyVal

    public static void splitKeyVal(byte[] utf,
                                   int start,
                                   int length,
                                   Text key,
                                   Text val,
                                   int splitPos,
                                   int separatorLength)
                            throws IOException

  split a UTF-8 byte array into key and value assuming that the delimilator is at splitpos.

  Parameters:
    `utf` - utf-8 encoded string
    `start` - starting offset
    `length` - no. of bytes
    `key` - contains key upon the method is returned
    `val` - contains value upon the method is returned
    `splitPos` - the split pos
    `separatorLength` - the length of the separator between key and value
  Throws:
    `IOException`

### splitKeyVal

    public static void splitKeyVal(byte[] utf,
                                   int start,
                                   int length,
                                   Text key,
                                   Text val,
                                   int splitPos)
                            throws IOException

  split a UTF-8 byte array into key and value assuming that the delimilator is at splitpos.

  Parameters:
    `utf` - utf-8 encoded string
    `start` - starting offset
    `length` - no. of bytes
    `key` - contains key upon the method is returned
    `val` - contains value upon the method is returned
    `splitPos` - the split pos
  Throws:
    `IOException`

### splitKeyVal

    public static void splitKeyVal(byte[] utf,
                                   Text key,
                                   Text val,
                                   int splitPos,
                                   int separatorLength)
                            throws IOException

  split a UTF-8 byte array into key and value assuming that the delimilator is at splitpos.

  Parameters:
    `utf` - utf-8 encoded string
    `key` - contains key upon the method is returned
    `val` - contains value upon the method is returned
    `splitPos` - the split pos
    `separatorLength` - the length of the separator between key and value
  Throws:
    `IOException`

### splitKeyVal

    public static void splitKeyVal(byte[] utf,
                                   Text key,
                                   Text val,
                                   int splitPos)
                            throws IOException

  split a UTF-8 byte array into key and value assuming that the delimilator is at splitpos.

  Parameters:
    `utf` - utf-8 encoded string
    `key` - contains key upon the method is returned
    `val` - contains value upon the method is returned
    `splitPos` - the split pos
  Throws:
    `IOException`

### readLine

    public static int readLine(LineReader lineReader,
                               Text out)
                        throws IOException

  Read a utf8 encoded line from a data input stream.

  Parameters:
    `lineReader` - LineReader to read the line from.
    `out` - Text to read into
  Returns:
    number of bytes read
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation